@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';


.yrb-condition,
.yrb-action {
	&s-editor {
		//-- this style ist temporarly	
		.z-listcell-content {
			padding: $rulebuilder__editor-east-listcell--padding;
		}
		//--/	
		.z-east{
			background-color: $rulebuilder__editor-east--bg-color;
			&-header {
				background-color: $rulebuilder__header-east--bg-color;
				color: $rulebuilder__header--color;
				padding-left: $rulebuilder__header-east--padding-left;
				padding-right: $rulebuilder__header-east--padding-right;
				border-bottom-width: 0;
				overflow: hidden;
				text-overflow: ellipsis;
				white-space: nowrap;
				border: $rulebuilder__ca-element-default--border;
				border-bottom-width: 0;
			}
			&-body {
			//	
				.z-listcell-content {
					padding-left: 0;
				}
			}
			.z-east-header .z-borderlayout-icon {
				position: absolute;
				right: $rulebuilder__header-east-collapse-icon--right;
			}
			.z-listcell-content {
				font-size: $rulebuilder__editor-east--font-size;
			}
			.z-listgroup-icon {
				margin-left: $rulebuilder__ca-children-container-element-node-icon--left;
				font-size: $rulebuilder__ca-element-label-node-icon--font-size; 
				&-open:before {
					content: $caretarrow__down--content;
				}
				&-close:before {
					content: $caretarrow__right--content;
				}
			}
			.z-listgroup {
				&:hover {
					.z-label {
						color: $rulebuilder__editor-east-groupcell-label--hover-color;
					}
				}
				&-inner {
					border-color: $rulebuilder__ca-element-default--border-color;
					padding-left: $rulebuilder__editor-east-definition--padding-left;
					.z-label {
						margin-bottom: 0;
					}
				}
			}
			.z-listgroup:last-child .z-listgroup-inner {
				border-bottom-width: 0;
			}
		}
	}
	&s-editor .z-east &-definitions {
		border-width: $rulebuilder__ca-element-default--border; //0;
	}
	&s-editor .z-east &-definition {
		.z-listcell {
			border-top-width: 0;
			padding-left: $rulebuilder__editor-east-definition--padding-left;
		}
		.z-listcell-content {
			border: inherit;
			border-top-width: $rulebuilder__ca-element-default--border-width;
			padding-left: 0;
		}
		&:hover + .z-listitem .z-listcell-content{
			border-color: transparent;
		}
	}
	&s-editor .z-east .z-listgroup + &-definition {
		.z-listcell {
			border-top: $rulebuilder__ca-element-default--border;
		}
		.z-listcell-content {
			border-top-width: 0;
		}
	}
}